Skip to content

Perform various operations on preference records.

Operations

getPreference

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPreference
POST /nexum/627/2022.01/account/getPreference HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPreferenceSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPreferenceSelectFields
POST /nexum/627/2022.01/account/getPreferenceSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "SelectableFields": {
    "IncludeAllPreferenceFields": false,
    "PreferenceFields": {
      "Locator": true,
      "Type": true,
      "RecordChangeDate": true,
      "HbUsername": true,
      "HbEnable": true,
      "AudioEnable": true,
      "Language": true,
      "Reference": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPreferenceSelectFieldsFilterChildren

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPreferenceSelectFieldsFilterChildren
POST /nexum/627/2022.01/account/getPreferenceSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "SelectableFields": {
    "IncludeAllPreferenceFields": true
  },
  "ChildrenSearchFilter": {
    "PreferenceAccessFilter": {
      "Query": "string"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPreferencePagedList

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getPreferencePagedList
POST /nexum/627/2022.01/account/getPreferencePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPreferenceListSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPreferenceListSelectFields
POST /nexum/627/2022.01/account/getPreferenceListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "SelectableFields": {
    "IncludeAllPreferenceFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchPreferenceSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/searchPreferenceSelectFields
POST /nexum/627/2022.01/account/searchPreferenceSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "SelectableFields": {
    "IncludeAllPreferenceFields": true
  },
  "SearchFilter": {
    "Query": "string",
    "PreferenceChildrenFilter": {
      "PreferenceAccessFilter": {
        "Query": "string"
      }
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPreferencePagedListSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getPreferencePagedListSelectFields
POST /nexum/627/2022.01/account/getPreferencePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPreferenceFields": false,
    "PreferenceFields": {
      "Locator": true,
      "Type": true,
      "RecordChangeDate": true,
      "HbUsername": true,
      "HbEnable": true,
      "AudioEnable": true,
      "Language": true,
      "Reference": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchPreferencePagedSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchPreferencePagedSelectFields
POST /nexum/627/2022.01/account/searchPreferencePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPreferenceFields": false,
    "PreferenceFields": {
      "Locator": true,
      "Type": true,
      "RecordChangeDate": true,
      "HbUsername": true,
      "HbEnable": true,
      "AudioEnable": true,
      "Language": true,
      "Reference": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPreferenceAccess

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
PreferenceAccessLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPreferenceAccess
POST /nexum/627/2022.01/account/getPreferenceAccess HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "PreferenceAccessLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPreferenceAccessSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
PreferenceAccessLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPreferenceAccessSelectFields
POST /nexum/627/2022.01/account/getPreferenceAccessSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "PreferenceAccessLocator": 0,
  "SelectableFields": {
    "IncludeAllPreferenceAccessFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPreferenceAccessPagedList

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getPreferenceAccessPagedList
POST /nexum/627/2022.01/account/getPreferenceAccessPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPreferenceAccessListSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/getPreferenceAccessListSelectFields
POST /nexum/627/2022.01/account/getPreferenceAccessListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "SelectableFields": {
    "IncludeAllPreferenceAccessFields": true
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchPreferenceAccessSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/searchPreferenceAccessSelectFields
POST /nexum/627/2022.01/account/searchPreferenceAccessSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "SelectableFields": {
    "IncludeAllPreferenceAccessFields": true
  },
  "SearchFilter": {
    "Query": "string",
    "PreferenceChildrenFilter": {
      "PreferenceAccessFilter": {
        "Query": "string"
      }
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

getPreferenceAccessPagedListSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/getPreferenceAccessPagedListSelectFields
POST /nexum/627/2022.01/account/getPreferenceAccessPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPreferenceAccessFields": false,
    "PreferenceAccessFields": {
      "Locator": true,
      "AccessType": true,
      "AccountNumber": true,
      "Id": true,
      "IdType": true,
      "EnableInquiry": true,
      "EnableDeposit": true,
      "EnableWithdrawal": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

searchPreferenceAccessPagedSelectFields

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
Querystringoptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/account/searchPreferenceAccessPagedSelectFields
POST /nexum/627/2022.01/account/searchPreferenceAccessPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "Query": "string",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllPreferenceAccessFields": false,
    "PreferenceAccessFields": {
      "Locator": true,
      "AccessType": true,
      "AccountNumber": true,
      "Id": true,
      "IdType": true,
      "EnableInquiry": true,
      "EnableDeposit": true,
      "EnableWithdrawal": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updatePreferenceByID

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

PreferenceLocatorintegeroptional
AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/updatePreferenceByID
POST /nexum/627/2022.01/account/updatePreferenceByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "PreferenceUpdatableFields": {
    "Type": 0,
    "HbUsername": "string",
    "HbEnable": 0,
    "AudioEnable": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updatePreferenceAccessByID

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

PreferenceAccessLocatorintegeroptional
AccountNumberstringoptional
PreferenceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/account/updatePreferenceAccessByID
POST /nexum/627/2022.01/account/updatePreferenceAccessByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "PreferenceAccessLocator": 0,
  "PreferenceAccessUpdatableFields": {
    "AccessType": 0,
    "AccountNumber": "0000000000",
    "IdType": 0,
    "Id": "0",
    "EnableInquiry": 0,
    "EnableDeposit": 0,
    "EnableWithdrawal": 0,
    "EnableFm": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createPreference

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
Path Parameters
symstringrequired
Sym number
PreferenceLocatorintegeroptional
POST/nexum/{sym}/2022.01/account/createPreference
POST /nexum/627/2022.01/account/createPreference HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceCreatableFields": {
    "Type": 0,
    "HbUsername": "string",
    "HbEnable": 0,
    "AudioEnable": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createPreferenceAccess

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
PreferenceAccessLocatorintegeroptional
POST/nexum/{sym}/2022.01/account/createPreferenceAccess
POST /nexum/627/2022.01/account/createPreferenceAccess HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "PreferenceAccessCreatableFields": {
    "AccessType": 0,
    "AccountNumber": "0000000000",
    "IdType": 0,
    "Id": "0",
    "EnableInquiry": 0,
    "EnableDeposit": 0,
    "EnableWithdrawal": 0,
    "EnableFm": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deletePreference

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/account/deletePreference
POST /nexum/627/2022.01/account/deletePreference HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

deletePreferenceAccess

POST
Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AccountNumberstringoptional
PreferenceLocatorintegeroptional
PreferenceAccessLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
nxAttributesobjectoptionalThe custom object for NexumAPI response attributes.
POST/nexum/{sym}/2022.01/account/deletePreferenceAccess
POST /nexum/627/2022.01/account/deletePreferenceAccess HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000000000",
  "PreferenceLocator": 0,
  "PreferenceAccessLocator": 0,
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}